Subject: RFC-3036(LDP Specs)

From: [email-masked]
Date: Tue, 27 Feb 2001 18:00:29 +0900

Hi,

Section 3.5.3 of RFC-3036 states that "A value of 255 or less specifies the default maximum length of 4096 octets".
In Common Session Parameters TLV header ,2 octets are reserved for Max PDU Length field. If this is the case how is
the number 255 arrived at ?

Raj

---

From: "Neelesh Dwivedi" <[email-masked]>
Date: Tue, 27 Feb 2001 14:57:55 +0530

Hi!
Please see comments below.
 
"Section 3.5.3 of RFC-3036 states that "A value of 255 or less specifies the default maximum length of 4096 octets".
In Common Session Parameters TLV header ,2 octets are reserved for Max PDU Length field. If this is the case how is the number 255 arrived at ? "

From what I understand, this means that though 2 octets have been reserved for the Max. PDU Length, ( i.e., a maximum length of 65535 can be specified ),
if a value of 255 or less is encountered in an initialisation message, the default value of 4096 octets has to be taken. In other words, any value of 255 or below is to be overrided and the default 4096 octets is to be considered while deciding the Max PDU LEngth for the session.
I hope that helps. :)

Regards,
Neelesh.
----------------------------------------------------------------
Engineer
Mercury Corporation( Previously Daewoo Telecom Ltd.)
New Delhi R & D Centre
Gurgaon
India